/*
Valeserveri joka sisältää valetietokannan (products), joka tarjotaan
API:n kautta (api/products) frontend-sovellukselle.
Valeserveri otetaan käyttöön päämoduulissa.
*/
import { InMemoryDbService } from 'angular-in-memory-web-api';
import { Product } from './product';

export class InMemoryDataService implements InMemoryDbService {
  
  createDb() {
    // Product[] on taulukon sisältämän datan tyyppi
    const products: Product[] = [
      {
        'id': 0,
        'title': 'First product',
        'price': 24.99
      },
      {
        'id': 1,
        'title': 'Second product',
        'price': 74.99
      },
      {
        'id': 2,
        'title': 'Third product',
        'price': 44.99
      }
    ];
    return { products };
  }
}
